Create an account-wide auto-claim schedule
curl --request POST \
--url https://app.crown-brlv.com/api/v1/accounts/{account-id}/auto-claims \
--header 'Content-Type: application/json' \
--data '
{
"max-amount": "100.00",
"cron": "0 9 * * *",
"target-asset-code": "brlv"
}
'import requests
url = "https://app.crown-brlv.com/api/v1/accounts/{account-id}/auto-claims"
payload = {
"max-amount": "100.00",
"cron": "0 9 * * *",
"target-asset-code": "brlv"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({'max-amount': '100.00', cron: '0 9 * * *', 'target-asset-code': 'brlv'})
};
fetch('https://app.crown-brlv.com/api/v1/accounts/{account-id}/auto-claims', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"auto-claim-schedule": {
"last-run-at": "<string>",
"cron": "0 9 * * *",
"max-amount": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created-at": "<string>",
"enabled": true,
"wallet-address": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>"
}
}{
"error": {
"type": "<string>",
"message": "<string>",
"code": "<string>"
}
}Auto-claims
Create Auto-Claim Schedule
Schedules a recurring claim of up to the given amount on a UNIX cron (at least daily) across all of the account’s reward certificates. Requires the auto-claim-rewards capability.
POST
/
api
/
v1
/
accounts
/
{account-id}
/
auto-claims
Create an account-wide auto-claim schedule
Path Parameters
Body
application/json
Claim up to this amount each run; if less is available, claims what's available
Example:
"100.00"
UNIX cron expression (5 fields). Must fire at most once per day
Example:
"0 9 * * *"
Destination asset: 'brl' for bank transfer or 'brlv' for on-chain tokens
Available options:
brl, brlv Example:
"brlv"
Response
Auto-claim schedule created
The auto-claim schedule
Show child attributes
Show child attributes
⌘I